Subject: Re: many git sites homepages megabytes big

From: Jakub Narebski <[email-masked]>
Date: Mon, 29 Dec 2008 17:07:27 -0800 (PST)

[email-masked] writes:

> I notice the web interfaces to many git sites are very risky to just
> click on. E.g., just clicking http://repo.or.cz/ sends megabytes to
> the users browser. At least the homepage of such sites should be
> something lighter in weight.

That is a bit of historical artifact. Currently the "index" page for
gitweb installation is 'projects_list' page with _all_ the projects
hosted. It is not split into pages, like for example 'log' or 'heads'
views are; there were some patches for that, but would have to be
redone as the area changed a bit since. It could have been replaced by
projects search page...

It is a bit of historical reason.
-- 
Jakub Narebski
Poland
ShadeHawk on #git